Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 225241 - Merge Review: alsa-lib
Summary: Merge Review: alsa-lib
Keywords:
Status: CLOSED NEXTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Matthias Saou
QA Contact: Fedora Package Reviews List
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2007-01-29 20:59 UTC by Nobody's working on this, feel free to take it
Modified: 2007-11-30 22:11 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2007-09-20 15:18:34 UTC
matthias: fedora-review+


Attachments (Terms of Use)

Description Nobody's working on this, feel free to take it 2007-01-29 20:59:56 UTC
Fedora Merge Review: alsa-lib

http://cvs.fedora.redhat.com/viewcvs/devel/alsa-lib/

Comment 1 Matthias Saou 2007-08-31 11:34:05 UTC
Please find an updated spec file and a patch to the current spec file containing
some suggested changes and fixes :
http://thias.fedorapeople.org/merge-review/alsa-lib/

- Update License field.
- Use configdir instead of sysconfdir hacks (cleaner).
- Remove redundant optflags overriding.
- Switch to using main "version", and merge "postver" since this is the right
  way of doing things (see NamingGuidelines#NonNumericRelease).
- Remove static library.
- Mark all of /etc/alsa as config, but not "noreplace".
- Remove useless rpath on 64bit archs.

Comment 2 Matthias Saou 2007-09-12 11:16:45 UTC
Ping? It would be nice to get this package cleaned up for Fedora 8.

Comment 3 Martin Stransky 2007-09-20 15:18:34 UTC
added to rawhide.

Comment 4 Matthias Saou 2007-09-24 13:19:24 UTC
Great, thanks!
I've taken the liberty to commit a last (very minor) change to remove tabs and
spaces on end of lines and the dot from the summary, which obviously don't
justify a rebuild.


Note You need to log in before you can comment on or make changes to this bug.